package cn.ey.biz.module.system.convert.appuser;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.appuser.dto.AppUserCreateReqDTO;
import cn.ey.biz.module.system.api.appuser.dto.AppUserDTO;
import cn.ey.biz.module.system.api.appuser.dto.AppUserPageReqDTO;
import cn.ey.biz.module.system.api.appuser.dto.AppUserRespDTO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserPageReqVO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserPageRespVO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserReqVO;
import cn.ey.biz.module.system.controller.admin.appuser.vo.AppUserRespVO;
import cn.ey.biz.module.system.dal.dataobject.appuser.AppUserDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * codeBlock-编码表 Convert
 */
@Mapper
public interface AppUserConvert {

    AppUserConvert INSTANCE = Mappers.getMapper(AppUserConvert.class);

    PageResult<AppUserPageRespVO> convertPage(PageResult<AppUserDO> doPageResult);

    AppUserRespVO doToVo(AppUserDO appUserDO);

    PageResult<AppUserDTO> voToDto(PageResult<AppUserPageRespVO> pageResult);

    AppUserPageReqVO dtoToVo(AppUserPageReqDTO appUserPageReqDTO);

    AppUserReqVO createDtoToVo(AppUserCreateReqDTO createReqDTO);

    AppUserRespDTO voToDTO(AppUserRespVO appUserRespVO);

}
